curl "https://api.dzap.io/v1/token/details?chainId=1&tokenAddress=0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48&includePrice=true"
const tokenInfo = await dzap.getTokenDetails(
'0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
1,
undefined,
false,
true,
);
{
"status": "success",
"data": {
"contract": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"logo": "https://...",
"chainId": 1,
"price": "1.00"
}
}
Tokens
Token Details
Fetch metadata - and optionally price or balance - for one or more tokens by address.
GET
/
v1
/
token
/
details
curl "https://api.dzap.io/v1/token/details?chainId=1&tokenAddress=0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48&includePrice=true"
const tokenInfo = await dzap.getTokenDetails(
'0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
1,
undefined,
false,
true,
);
{
"status": "success",
"data": {
"contract": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"logo": "https://...",
"chainId": 1,
"price": "1.00"
}
}
Returns metadata for one or more tokens.
Query
integer
required
Chain ID the token(s) exist on.
string
Single token address.
string
Comma-separated token addresses (use instead of
tokenAddress for multiple).string
Include balance for this account when set.
boolean
boolean
Response
object
A single token info object when
tokenAddress was used, or a map keyed by address when tokenAddresses was used.Show token info
Show token info
string
Token contract address.
string
string
integer
string
integer
string
Present when
includeBalance/account is set.number
Present when
includeBalance/account is set.string
Present when
includePrice is set.object
object
Same shape as
isDisabledOnSwapBridge above, for zap operations.curl "https://api.dzap.io/v1/token/details?chainId=1&tokenAddress=0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48&includePrice=true"
const tokenInfo = await dzap.getTokenDetails(
'0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
1,
undefined,
false,
true,
);
{
"status": "success",
"data": {
"contract": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"logo": "https://...",
"chainId": 1,
"price": "1.00"
}
}
Live token prices (
GET /v1/token/price) exist on the Trade API but aren’t exposed through the @dzapio/sdk client - use includePrice on this endpoint instead.Last modified on July 29, 2026